import{s as kt,o as Dt,n as Pt}from"../chunks/scheduler.6062bdaf.js";import{S as Lt,i as Ht,g as a,s as r,r as d,A as Rt,h as s,f as t,c as i,j as v,u as h,x as p,k as $,y as l,a as o,v as u,d as f,t as m,w as _}from"../chunks/index.4bca734e.js";import{H as Ge,g as Nt}from"../chunks/Heading.a9649a35.js";import{T as Tt}from"../chunks/Tip.b9ac1f03.js";import{D as T}from"../chunks/Docstring.b3a0a594.js";function Mt(oe){let c,C=`<a href="/docs/huggingface_hub/main/en/package_reference/repository#huggingface_hub.Repository">Repository()</a> is deprecated in favor of the http-based alternatives implemented in
<a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi">HfApi</a>. Given its large adoption in legacy code, the complete removal of
<a href="/docs/huggingface_hub/main/en/package_reference/repository#huggingface_hub.Repository">Repository()</a> will only happen in release <code>v1.0</code>. For more details, please read
<a href="https://huggingface.co/docs/huggingface_hub/concepts/git_vs_http" rel="nofollow">https://huggingface.co/docs/huggingface_hub/concepts/git_vs_http</a>.`;return{c(){c=a("p"),c.innerHTML=C},l(g){c=s(g,"P",{"data-svelte-h":!0}),p(c)!=="svelte-15breqi"&&(c.innerHTML=C)},m(g,M){o(g,c,M)},p:Pt,d(g){g&&t(c)}}}function Et(oe){let c,C=`<a href="/docs/huggingface_hub/main/en/package_reference/repository#huggingface_hub.Repository">Repository()</a> is deprecated in favor of the http-based alternatives implemented in
<a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi">HfApi</a>. Given its large adoption in legacy code, the complete removal of
<a href="/docs/huggingface_hub/main/en/package_reference/repository#huggingface_hub.Repository">Repository()</a> will only happen in release <code>v1.0</code>. For more details, please read
<a href="https://huggingface.co/docs/huggingface_hub/concepts/git_vs_http" rel="nofollow">https://huggingface.co/docs/huggingface_hub/concepts/git_vs_http</a>.`;return{c(){c=a("p"),c.innerHTML=C},l(g){c=s(g,"P",{"data-svelte-h":!0}),p(c)!=="svelte-15breqi"&&(c.innerHTML=C)},m(g,M){o(g,c,M)},p:Pt,d(g){g&&t(c)}}}function It(oe){let c,C,g,M,U,ye,F,st=`The <code>Repository</code> class is a helper class that wraps <code>git</code> and <code>git-lfs</code> commands. It provides tooling adapted
for managing repositories which can be very large.`,ve,V,lt=`It is the recommended tool as soon as any <code>git</code> operation is involved, or when collaboration will be a point
of focus with the repository itself.`,$e,A,xe,b,q,Be,re,ct="Helper class to wrap the git and git-lfs commands.",Je,ie,pt=`The aim is to facilitate interacting with huggingface.co hosted model or
dataset repos, though not a lot here (if any) is actually specific to
huggingface.co.`,Ke,E,we,S,Ce,P,j,Qe,ae,gt="Check if the folder is the root or part of a git repository",Te,k,z,We,se,dt="Check if the folder is a local clone of the remote_url",Pe,D,G,Xe,le,ht="Check if the file passed is tracked with git-lfs.",ke,L,B,Ye,ce,ut="Check if file is git-ignored. Supports nested .gitignore files.",De,H,J,Ze,pe,ft="Returns a list of filenames that are to be staged.",Le,R,K,et,ge,mt="Check if the current checked-out branch is tracked upstream.",He,x,Q,tt,de,_t="Check the number of commits that would be pushed upstream",nt,he,bt=`The name of the upstream repository with which the comparison should be
made.`,Re,W,Ne,X,yt="The <code>Repository</code> utility offers several methods which can be launched asynchronously:",Me,Y,vt="<li><code>git_push</code></li> <li><code>git_pull</code></li> <li><code>push_to_hub</code></li> <li>The <code>commit</code> context manager</li>",Ee,Z,$t="See below for utilities to manage such asynchronous methods.",Ie,y,ee,ot,ue,xt="Helper class to wrap the git and git-lfs commands.",rt,fe,wt=`The aim is to facilitate interacting with huggingface.co hosted model or
dataset repos, though not a lot here (if any) is actually specific to
huggingface.co.`,it,I,Oe,N,te,at,me,Ct="Utility to follow commands launched asynchronously.",Ue,be,Fe;return U=new Ge({props:{title:"Managing local and online repositories",local:"managing-local-and-online-repositories",headingTag:"h1"}}),A=new Ge({props:{title:"The Repository class",local:"huggingface_hub.Repository",headingTag:"h2"}}),q=new T({props:{name:"huggingface_hub.Repository",anchor:"huggingface_hub.Repository",parameters:[{name:"local_dir",val:": typing.Union[str, pathlib.Path]"},{name:"clone_from",val:": typing.Optional[str] = None"},{name:"repo_type",val:": typing.Optional[str] = None"},{name:"token",val:": typing.Union[bool, str] = True"},{name:"git_user",val:": typing.Optional[str] = None"},{name:"git_email",val:": typing.Optional[str] = None"},{name:"revision",val:": typing.Optional[str] = None"},{name:"skip_lfs_files",val:": bool = False"},{name:"client",val:": typing.Optional[huggingface_hub.hf_api.HfApi] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L433"}}),E=new Tt({props:{warning:!0,$$slots:{default:[Mt]},$$scope:{ctx:oe}}}),S=new Ge({props:{title:"Helper methods",local:"huggingface_hub.repository.is_git_repo",headingTag:"h2"}}),j=new T({props:{name:"huggingface_hub.repository.is_git_repo",anchor:"huggingface_hub.repository.is_git_repo",parameters:[{name:"folder",val:": typing.Union[str, pathlib.Path]"}],parametersDescription:[{anchor:"huggingface_hub.repository.is_git_repo.folder",description:`<strong>folder</strong> (<code>str</code>) &#x2014;
The folder in which to run the command.`,name:"folder"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L114",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>True</code> if the repository is part of a repository, <code>False</code>
otherwise.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),z=new T({props:{name:"huggingface_hub.repository.is_local_clone",anchor:"huggingface_hub.repository.is_local_clone",parameters:[{name:"folder",val:": typing.Union[str, pathlib.Path]"},{name:"remote_url",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.repository.is_local_clone.folder",description:`<strong>folder</strong> (<code>str</code> or <code>Path</code>) &#x2014;
The folder in which to run the command.`,name:"folder"},{anchor:"huggingface_hub.repository.is_local_clone.remote_url",description:`<strong>remote_url</strong> (<code>str</code>) &#x2014;
The url of a git repository.`,name:"remote_url"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L131",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>True</code> if the repository is a local clone of the remote
repository specified, <code>False</code> otherwise.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),G=new T({props:{name:"huggingface_hub.repository.is_tracked_with_lfs",anchor:"huggingface_hub.repository.is_tracked_with_lfs",parameters:[{name:"filename",val:": typing.Union[str, pathlib.Path]"}],parametersDescription:[{anchor:"huggingface_hub.repository.is_tracked_with_lfs.filename",description:`<strong>filename</strong> (<code>str</code> or <code>Path</code>) &#x2014;
The filename to check.`,name:"filename"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L156",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>True</code> if the file passed is tracked with git-lfs, <code>False</code>
otherwise.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),B=new T({props:{name:"huggingface_hub.repository.is_git_ignored",anchor:"huggingface_hub.repository.is_git_ignored",parameters:[{name:"filename",val:": typing.Union[str, pathlib.Path]"}],parametersDescription:[{anchor:"huggingface_hub.repository.is_git_ignored.filename",description:`<strong>filename</strong> (<code>str</code> or <code>Path</code>) &#x2014;
The filename to check.`,name:"filename"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L193",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>True</code> if the file passed is ignored by <code>git</code>, <code>False</code>
otherwise.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),J=new T({props:{name:"huggingface_hub.repository.files_to_be_staged",anchor:"huggingface_hub.repository.files_to_be_staged",parameters:[{name:"pattern",val:": str = '.'"},{name:"folder",val:": typing.Union[str, pathlib.Path, NoneType] = None"}],parametersDescription:[{anchor:"huggingface_hub.repository.files_to_be_staged.pattern",description:`<strong>pattern</strong> (<code>str</code> or <code>Path</code>) &#x2014;
The pattern of filenames to check. Put <code>.</code> to get all files.`,name:"pattern"},{anchor:"huggingface_hub.repository.files_to_be_staged.folder",description:`<strong>folder</strong> (<code>str</code> or <code>Path</code>) &#x2014;
The folder in which to run the command.`,name:"folder"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L241",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of files that are to be staged.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),K=new T({props:{name:"huggingface_hub.repository.is_tracked_upstream",anchor:"huggingface_hub.repository.is_tracked_upstream",parameters:[{name:"folder",val:": typing.Union[str, pathlib.Path]"}],parametersDescription:[{anchor:"huggingface_hub.repository.is_tracked_upstream.folder",description:`<strong>folder</strong> (<code>str</code> or <code>Path</code>) &#x2014;
The folder in which to run the command.`,name:"folder"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L266",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>True</code> if the current checked-out branch is tracked upstream,
<code>False</code> otherwise.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),Q=new T({props:{name:"huggingface_hub.repository.commits_to_push",anchor:"huggingface_hub.repository.commits_to_push",parameters:[{name:"folder",val:": typing.Union[str, pathlib.Path]"},{name:"upstream",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"huggingface_hub.repository.commits_to_push.folder",description:`<strong>folder</strong> (<code>str</code> or <code>Path</code>) &#x2014;
The folder in which to run the command.`,name:"folder"},{anchor:"huggingface_hub.repository.commits_to_push.upstream",description:"<strong>upstream</strong> (<code>str</code>, <em>optional</em>) &#x2014;",name:"upstream"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L288",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Number of commits that would be pushed upstream were a <code>git push</code> to proceed.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>int</code></p>
`}}),W=new Ge({props:{title:"Following asynchronous commands",local:"huggingface_hub.Repository",headingTag:"h2"}}),ee=new T({props:{name:"huggingface_hub.Repository",anchor:"huggingface_hub.Repository",parameters:[{name:"local_dir",val:": typing.Union[str, pathlib.Path]"},{name:"clone_from",val:": typing.Optional[str] = None"},{name:"repo_type",val:": typing.Optional[str] = None"},{name:"token",val:": typing.Union[bool, str] = True"},{name:"git_user",val:": typing.Optional[str] = None"},{name:"git_email",val:": typing.Optional[str] = None"},{name:"revision",val:": typing.Optional[str] = None"},{name:"skip_lfs_files",val:": bool = False"},{name:"client",val:": typing.Optional[huggingface_hub.hf_api.HfApi] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L433"}}),I=new Tt({props:{warning:!0,$$slots:{default:[Et]},$$scope:{ctx:oe}}}),te=new T({props:{name:"class huggingface_hub.repository.CommandInProgress",anchor:"huggingface_hub.repository.CommandInProgress",parameters:[{name:"title",val:": str"},{name:"is_done_method",val:": typing.Callable"},{name:"status_method",val:": typing.Callable"},{name:"process",val:": Popen"},{name:"post_method",val:": typing.Optional[typing.Callable] = None"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/repository.py#L31"}}),{c(){c=a("meta"),C=r(),g=a("p"),M=r(),d(U.$$.fragment),ye=r(),F=a("p"),F.innerHTML=st,ve=r(),V=a("p"),V.innerHTML=lt,$e=r(),d(A.$$.fragment),xe=r(),b=a("div"),d(q.$$.fragment),Be=r(),re=a("p"),re.textContent=ct,Je=r(),ie=a("p"),ie.textContent=pt,Ke=r(),d(E.$$.fragment),we=r(),d(S.$$.fragment),Ce=r(),P=a("div"),d(j.$$.fragment),Qe=r(),ae=a("p"),ae.textContent=gt,Te=r(),k=a("div"),d(z.$$.fragment),We=r(),se=a("p"),se.textContent=dt,Pe=r(),D=a("div"),d(G.$$.fragment),Xe=r(),le=a("p"),le.textContent=ht,ke=r(),L=a("div"),d(B.$$.fragment),Ye=r(),ce=a("p"),ce.textContent=ut,De=r(),H=a("div"),d(J.$$.fragment),Ze=r(),pe=a("p"),pe.textContent=ft,Le=r(),R=a("div"),d(K.$$.fragment),et=r(),ge=a("p"),ge.textContent=mt,He=r(),x=a("div"),d(Q.$$.fragment),tt=r(),de=a("p"),de.textContent=_t,nt=r(),he=a("p"),he.textContent=bt,Re=r(),d(W.$$.fragment),Ne=r(),X=a("p"),X.innerHTML=yt,Me=r(),Y=a("ul"),Y.innerHTML=vt,Ee=r(),Z=a("p"),Z.textContent=$t,Ie=r(),y=a("div"),d(ee.$$.fragment),ot=r(),ue=a("p"),ue.textContent=xt,rt=r(),fe=a("p"),fe.textContent=wt,it=r(),d(I.$$.fragment),Oe=r(),N=a("div"),d(te.$$.fragment),at=r(),me=a("p"),me.textContent=Ct,Ue=r(),be=a("p"),this.h()},l(e){const n=Rt("svelte-u9bgzb",document.head);c=s(n,"META",{name:!0,content:!0}),n.forEach(t),C=i(e),g=s(e,"P",{}),v(g).forEach(t),M=i(e),h(U.$$.fragment,e),ye=i(e),F=s(e,"P",{"data-svelte-h":!0}),p(F)!=="svelte-fqtivw"&&(F.innerHTML=st),ve=i(e),V=s(e,"P",{"data-svelte-h":!0}),p(V)!=="svelte-1mkssuw"&&(V.innerHTML=lt),$e=i(e),h(A.$$.fragment,e),xe=i(e),b=s(e,"DIV",{class:!0});var w=v(b);h(q.$$.fragment,w),Be=i(w),re=s(w,"P",{"data-svelte-h":!0}),p(re)!=="svelte-sfljep"&&(re.textContent=ct),Je=i(w),ie=s(w,"P",{"data-svelte-h":!0}),p(ie)!=="svelte-130r937"&&(ie.textContent=pt),Ke=i(w),h(E.$$.fragment,w),w.forEach(t),we=i(e),h(S.$$.fragment,e),Ce=i(e),P=s(e,"DIV",{class:!0});var ne=v(P);h(j.$$.fragment,ne),Qe=i(ne),ae=s(ne,"P",{"data-svelte-h":!0}),p(ae)!=="svelte-5hpmfd"&&(ae.textContent=gt),ne.forEach(t),Te=i(e),k=s(e,"DIV",{class:!0});var Ve=v(k);h(z.$$.fragment,Ve),We=i(Ve),se=s(Ve,"P",{"data-svelte-h":!0}),p(se)!=="svelte-1d1mfv5"&&(se.textContent=dt),Ve.forEach(t),Pe=i(e),D=s(e,"DIV",{class:!0});var Ae=v(D);h(G.$$.fragment,Ae),Xe=i(Ae),le=s(Ae,"P",{"data-svelte-h":!0}),p(le)!=="svelte-oqtt44"&&(le.textContent=ht),Ae.forEach(t),ke=i(e),L=s(e,"DIV",{class:!0});var qe=v(L);h(B.$$.fragment,qe),Ye=i(qe),ce=s(qe,"P",{"data-svelte-h":!0}),p(ce)!=="svelte-1jg2eg8"&&(ce.textContent=ut),qe.forEach(t),De=i(e),H=s(e,"DIV",{class:!0});var Se=v(H);h(J.$$.fragment,Se),Ze=i(Se),pe=s(Se,"P",{"data-svelte-h":!0}),p(pe)!=="svelte-97mwvc"&&(pe.textContent=ft),Se.forEach(t),Le=i(e),R=s(e,"DIV",{class:!0});var je=v(R);h(K.$$.fragment,je),et=i(je),ge=s(je,"P",{"data-svelte-h":!0}),p(ge)!=="svelte-vpsey2"&&(ge.textContent=mt),je.forEach(t),He=i(e),x=s(e,"DIV",{class:!0});var _e=v(x);h(Q.$$.fragment,_e),tt=i(_e),de=s(_e,"P",{"data-svelte-h":!0}),p(de)!=="svelte-18uhass"&&(de.textContent=_t),nt=i(_e),he=s(_e,"P",{"data-svelte-h":!0}),p(he)!=="svelte-zq2g9v"&&(he.textContent=bt),_e.forEach(t),Re=i(e),h(W.$$.fragment,e),Ne=i(e),X=s(e,"P",{"data-svelte-h":!0}),p(X)!=="svelte-1w5vmm6"&&(X.innerHTML=yt),Me=i(e),Y=s(e,"UL",{"data-svelte-h":!0}),p(Y)!=="svelte-1dzo48z"&&(Y.innerHTML=vt),Ee=i(e),Z=s(e,"P",{"data-svelte-h":!0}),p(Z)!=="svelte-1k7k7po"&&(Z.textContent=$t),Ie=i(e),y=s(e,"DIV",{class:!0});var O=v(y);h(ee.$$.fragment,O),ot=i(O),ue=s(O,"P",{"data-svelte-h":!0}),p(ue)!=="svelte-sfljep"&&(ue.textContent=xt),rt=i(O),fe=s(O,"P",{"data-svelte-h":!0}),p(fe)!=="svelte-130r937"&&(fe.textContent=wt),it=i(O),h(I.$$.fragment,O),O.forEach(t),Oe=i(e),N=s(e,"DIV",{class:!0});var ze=v(N);h(te.$$.fragment,ze),at=i(ze),me=s(ze,"P",{"data-svelte-h":!0}),p(me)!=="svelte-1na97wh"&&(me.textContent=Ct),ze.forEach(t),Ue=i(e),be=s(e,"P",{}),v(be).forEach(t),this.h()},h(){$(c,"name","hf:doc:metadata"),$(c,"content",Ot),$(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){l(document.head,c),o(e,C,n),o(e,g,n),o(e,M,n),u(U,e,n),o(e,ye,n),o(e,F,n),o(e,ve,n),o(e,V,n),o(e,$e,n),u(A,e,n),o(e,xe,n),o(e,b,n),u(q,b,null),l(b,Be),l(b,re),l(b,Je),l(b,ie),l(b,Ke),u(E,b,null),o(e,we,n),u(S,e,n),o(e,Ce,n),o(e,P,n),u(j,P,null),l(P,Qe),l(P,ae),o(e,Te,n),o(e,k,n),u(z,k,null),l(k,We),l(k,se),o(e,Pe,n),o(e,D,n),u(G,D,null),l(D,Xe),l(D,le),o(e,ke,n),o(e,L,n),u(B,L,null),l(L,Ye),l(L,ce),o(e,De,n),o(e,H,n),u(J,H,null),l(H,Ze),l(H,pe),o(e,Le,n),o(e,R,n),u(K,R,null),l(R,et),l(R,ge),o(e,He,n),o(e,x,n),u(Q,x,null),l(x,tt),l(x,de),l(x,nt),l(x,he),o(e,Re,n),u(W,e,n),o(e,Ne,n),o(e,X,n),o(e,Me,n),o(e,Y,n),o(e,Ee,n),o(e,Z,n),o(e,Ie,n),o(e,y,n),u(ee,y,null),l(y,ot),l(y,ue),l(y,rt),l(y,fe),l(y,it),u(I,y,null),o(e,Oe,n),o(e,N,n),u(te,N,null),l(N,at),l(N,me),o(e,Ue,n),o(e,be,n),Fe=!0},p(e,[n]){const w={};n&2&&(w.$$scope={dirty:n,ctx:e}),E.$set(w);const ne={};n&2&&(ne.$$scope={dirty:n,ctx:e}),I.$set(ne)},i(e){Fe||(f(U.$$.fragment,e),f(A.$$.fragment,e),f(q.$$.fragment,e),f(E.$$.fragment,e),f(S.$$.fragment,e),f(j.$$.fragment,e),f(z.$$.fragment,e),f(G.$$.fragment,e),f(B.$$.fragment,e),f(J.$$.fragment,e),f(K.$$.fragment,e),f(Q.$$.fragment,e),f(W.$$.fragment,e),f(ee.$$.fragment,e),f(I.$$.fragment,e),f(te.$$.fragment,e),Fe=!0)},o(e){m(U.$$.fragment,e),m(A.$$.fragment,e),m(q.$$.fragment,e),m(E.$$.fragment,e),m(S.$$.fragment,e),m(j.$$.fragment,e),m(z.$$.fragment,e),m(G.$$.fragment,e),m(B.$$.fragment,e),m(J.$$.fragment,e),m(K.$$.fragment,e),m(Q.$$.fragment,e),m(W.$$.fragment,e),m(ee.$$.fragment,e),m(I.$$.fragment,e),m(te.$$.fragment,e),Fe=!1},d(e){e&&(t(C),t(g),t(M),t(ye),t(F),t(ve),t(V),t($e),t(xe),t(b),t(we),t(Ce),t(P),t(Te),t(k),t(Pe),t(D),t(ke),t(L),t(De),t(H),t(Le),t(R),t(He),t(x),t(Re),t(Ne),t(X),t(Me),t(Y),t(Ee),t(Z),t(Ie),t(y),t(Oe),t(N),t(Ue),t(be)),t(c),_(U,e),_(A,e),_(q),_(E),_(S,e),_(j),_(z),_(G),_(B),_(J),_(K),_(Q),_(W,e),_(ee),_(I),_(te)}}}const Ot='{"title":"Managing local and online repositories","local":"managing-local-and-online-repositories","sections":[{"title":"The Repository class","local":"huggingface_hub.Repository","sections":[],"depth":2},{"title":"Helper methods","local":"huggingface_hub.repository.is_git_repo","sections":[],"depth":2},{"title":"Following asynchronous commands","local":"huggingface_hub.Repository","sections":[],"depth":2}],"depth":1}';function Ut(oe){return Dt(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=Nt}),[]}class jt extends Lt{constructor(c){super(),Ht(this,c,Ut,It,kt,{})}}export{jt as component};
